[arch-commits] Commit in python-pyassert/repos/community-any (PKGBUILD PKGBUILD)
Felix Yan
felixonmars at archlinux.org
Sun Apr 22 07:47:42 UTC 2018
Date: Sunday, April 22, 2018 @ 07:47:42
Author: felixonmars
Revision: 317285
archrelease: copy trunk to community-any
Added:
python-pyassert/repos/community-any/PKGBUILD
(from rev 317284, python-pyassert/trunk/PKGBUILD)
Deleted:
python-pyassert/repos/community-any/PKGBUILD
----------+
PKGBUILD | 85 ++++++++++++++++++++++++-------------------------------------
1 file changed, 34 insertions(+), 51 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2018-04-22 07:47:16 UTC (rev 317284)
+++ PKGBUILD 2018-04-22 07:47:42 UTC (rev 317285)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-# Contributor: Thomas S Hatch <thatch45 at gmail.com>
-
-pkgbase=python-pyassert
-pkgname=('python-pyassert' 'python2-pyassert')
-pkgver=0.4.2
-pkgrel=3
-pkgdesc='Rich assertions library for Python'
-arch=('any')
-url='https://github.com/pyclectic/pyassert'
-license=('Apache')
-makedepends=('python-pybuilder' 'python2-pybuilder' 'python-mockito' 'python2-mockito'
- 'python-coverage' 'python2-coverage' 'python-six' 'python2-six' 'git'
- 'python-unittest-xml-reporting' 'python2-unittest-xml-reporting' 'flake8'
- 'python2-flake8' 'pychecker') # python3-pychecker is missing
-source=("git+https://github.com/pyclectic/pyassert.git#tag=v$pkgver")
-md5sums=('SKIP')
-
-prepare() {
- # package name will be determined by directory name
- mkdir py2
- cp -a pyassert py2/
-}
-
-check() {
- cd "$srcdir"/pyassert
- pyb -v analyze || warning "ignoring flake8 warnings"
-
- cd "$srcdir"/py2/pyassert
- pyb2 -v analyze || warning "ignoring flake8 warnings"
-}
-
-package_python-pyassert() {
- depends=('python-six')
-
- cd pyassert
- pyb -v package
- cd target/dist/pyassert-$pkgver
- python setup.py install --root="$pkgdir" -O1
-}
-
-package_python2-pyassert() {
- depends=('python2-six')
-
- cd py2/pyassert
- pyb2 -v package
- cd target/dist/pyassert-$pkgver
- python2 setup.py install --root="$pkgdir" -O1
-}
Copied: python-pyassert/repos/community-any/PKGBUILD (from rev 317284, python-pyassert/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2018-04-22 07:47:42 UTC (rev 317285)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+
+pkgname=python-pyassert
+pkgver=0.4.2
+pkgrel=4
+pkgdesc='Rich assertions library for Python'
+arch=('any')
+url='https://github.com/pyclectic/pyassert'
+license=('Apache')
+depends=('python-six')
+makedepends=('python-pybuilder' 'python-mockito' 'python-coverage' 'python-unittest-xml-reporting'
+ 'flake8' 'pychecker')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/pyclectic/pyassert/archive/v$pkgver.tar.gz")
+sha512sums=('5a7a8078dad967913708f0bc18278ba760bbc098c1fc6f299b6a654206834dbebc82125c33456e498e5edfbf15599360c3cff807df56073eaa62330b6b494f09')
+
+prepare() {
+ # Pybuilder uses directory name to determine distribution name
+ mv pyassert-$pkgver pyassert
+}
+
+check() {
+ cd pyassert
+ pyb -v analyze || warning "ignoring flake8 warnings"
+}
+
+package() {
+ cd pyassert
+ pyb -v package
+ cd target/dist/pyassert-$pkgver
+ python setup.py install --root="$pkgdir" -O1
+}
More information about the arch-commits
mailing list